import { UsersSession } from 'src/core/sessions';
import { OPERATION } from './base.constants';

export interface EventTopics {
  topic: any;
  data?: any;
}

export interface IEvent<Entity = any> {
  id: string;
  old: null | Entity;
  data: null | Entity;
  user: UsersSession;
  description: null | string;
  module: string;
  op: OPERATION;
}

export interface IEventAuth {
  id: string;
  type: string;
  timestamp: number;
}
